Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class AbstractSiblingSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractSiblingSelector

All Implemented Interfaces:
  Selector, SiblingSelector

Direct Known Subclasses:
  DefaultDirectAdjacentSelector

public abstract class AbstractSiblingSelector
extends java.lang.Object
implements SiblingSelector

This class provides an abstract implementation of the `SiblingSelector` interface.

Field Summary
`protected short` | `nodeType` The node type.
`protected Selector` | `selector` The selector.
`protected SimpleSelector` | `simpleSelector` The simple selector.

Fields inherited from interface org.w3c.css.sac.SiblingSelector
`ANY_NODE`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`protected` | `AbstractSiblingSelector(short type, Selector sel, SimpleSelector simple)` Creates a new SiblingSelector object.

Method Summary
`short` | `getNodeType()` Returns the node type.
`Selector` | `getSelector()` SAC: Implements `SiblingSelector.getSelector()`.
`SimpleSelector` | `getSiblingSelector()` SAC: Implements `SiblingSelector.getSiblingSelector()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### nodeType

    protected short nodeType

  The node type.

### selector

    protected Selector selector

  The selector.

### simpleSelector

    protected SimpleSelector simpleSelector

  The simple selector.

Constructor Detail

### AbstractSiblingSelector

    protected AbstractSiblingSelector(short type,
                                      Selector sel,
                                      SimpleSelector simple)

  Creates a new SiblingSelector object.

Method Detail

### getNodeType

    public short getNodeType()

  Returns the node type.

  Specified by:
    `getNodeType` in interface `SiblingSelector`

### getSelector

    public Selector getSelector()

  SAC: Implements `SiblingSelector.getSelector()`.

  Specified by:
    `getSelector` in interface `SiblingSelector`

### getSiblingSelector

    public SimpleSelector getSiblingSelector()

  SAC: Implements `SiblingSelector.getSiblingSelector()`.

  Specified by:
    `getSiblingSelector` in interface `SiblingSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.